package com.gic.haoban.manage.web.vo;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

public class MaterialVO implements Serializable{
	
	private String categoryId;

    private String categoryName;

    private String categoryParentId;

    private String wxEnterpriseId;

    private Integer statusFlag;
    
    private List<MaterialVO> list;

    private Date createTime;

    private Date updateTime;

    private static final long serialVersionUID = 1L;

    public String getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(String categoryId) {
        this.categoryId = categoryId == null ? null : categoryId.trim();
    }

    public String getCategoryName() {
        return categoryName;
    }

    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName == null ? null : categoryName.trim();
    }

    public String getCategoryParentId() {
        return categoryParentId;
    }

    public void setCategoryParentId(String categoryParentId) {
        this.categoryParentId = categoryParentId == null ? null : categoryParentId.trim();
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId == null ? null : wxEnterpriseId.trim();
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

	public List<MaterialVO> getList() {
		return list;
	}

	public void setList(List<MaterialVO> list) {
		this.list = list;
	}
    
    

}
